%define anolis_release 1
%global pypi_name srsly
%global pypi_version 2.4.8

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Modern high-performance serialization utilities for Python

License:        MIT
URL:            https://github.com/explosion/srsly
Source0:        %{pypi_source}

BuildRequires:  python3-devel python3-pip
BuildRequires:  python3dist(catalogue) >= 2.0.3
BuildRequires:  python3dist(cython) >= 0.29.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)

%description
srsly bundles some of the best Python serialization libraries into one standalone package, with a 
high-level API that makes it easy to write code that's correct across platforms and Pythons. This 
allows us to provide all the serialization utilities we need in a single binary wheel. Currently 
supports JSON, JSONL, MessagePack, Pickle and YAML.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(catalogue) >= 2.0.3
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
srsly bundles some of the best Python serialization libraries into one standalone package, with a 
high-level API that makes it easy to write code that's correct across platforms and Pythons. This 
allows us to provide all the serialization utilities we need in a single binary wheel. Currently 
supports JSON, JSONL, MessagePack, Pickle and YAML.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
sed -i '/catalogue/d' setup.cfg

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Feb 04 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 2.4.8-1
- Initial package.
